MPI_Info_f2c(3)

NAME
MPI_Info_f2c - Convert a info handle from its Fortran representation to its C representation

SYNOPSIS
#include <mpi.h>
MPI_Info
MPI_Info_f2c(MPI_Fint f_handle)

INPUT PARAMETER
f_handle
    - Fortran info handle

RETURN VALUE
info
    - C info handle

NOTES FOR FORTRAN

All MPI routines in Fortran (except for MPI_WTIME and MPI_WTICK ) have an additional argument ierr at the end of the argument list. ierr is an integer and has the same meaning as the return value of the routine in C. In Fortran, MPI routines are subroutines, and are invoked with the call statement.

All MPI objects (e.g., MPI_Datatype , MPI_Comm ) are of type INTEGER in Fortran.

ERRORS

This function does not return the normal MPI_SUCCESS integer value upon success. Instead, it returns a handle to the converted object. If an error occurs, the appropriate NULL handle will be returned.

SEE ALSO
MPI_Info_c2f(3)

MORE INFORMATION

For more information, please see the official MPI Forum web site, which contains the text of both the MPI-1 and MPI-2 standards. These documents contain detailed information about each MPI function (most of which is not duplicated in these man pages).

http://www.mpi-forum.org/

LOCATION
handles.c